GWGraphInternal::FrameText Struct Reference

Internal: the text zone of a GWGraph. More...

Inheritance diagram for GWGraphInternal::FrameText:

## Public Member Functions

| FrameText (Frame const &frame)
| constructor More...
virtual Type | getType () const
| return the frame type More...
virtual void | print (std::ostream &o) const
| print funtion More...
Public Member Functions inherited from GWGraphInternal::Frame
| Frame ()
| constructor More...
virtual | ~Frame ()
| destructor More...

## Public Attributes

MWAWEntry | m_entry
| the text entry More...
Public Attributes inherited from GWGraphInternal::Frame
int | m_type
| the zone type More...
int | m_style
| the style identifier More...
int | m_parent
| the parent identifier More...
int | m_order
| the z order More...
long | m_dataSize
| the data size ( if know) More...
Box2f | m_box
| the zone bdbox More...
int | m_page
| the page More...
std::string | m_extra
| extra data More...
bool | m_parsed
| true if the frame is send More...

## Additional Inherited Members

Public Types inherited from GWGraphInternal::Frame
enum | Type { T_BAD, T_BASIC, T_GROUP, T_PICTURE, T_TEXT, T_UNSET }
| the frame type More...

## Detailed Description

Internal: the text zone of a GWGraph.

## Constructor & Destructor Documentation

GWGraphInternal::FrameText::FrameText | ( | Frame const & | frame | ) |

inline

constructor

## Member Function Documentation

virtual Type GWGraphInternal::FrameText::getType | ( |  | ) | const

inline virtual

return the frame type

Reimplemented from GWGraphInternal::Frame.

virtual void GWGraphInternal::FrameText::print | ( | std::ostream & | o | ) | const

inline virtual

print funtion

Reimplemented from GWGraphInternal::Frame.

## Member Data Documentation

MWAWEntry GWGraphInternal::FrameText::m_entry

the text entry

Referenced by print(), GWGraph::readPageFrames(), and GWGraph::sendFrame().

The documentation for this struct was generated from the following file:

- GWGraph.cxx